Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Adapter Class Reference

`#include <Adapter.h>`

List of all members.

## Public Types
enum | { DS_OK, DS_FAILED, DS_MISMATCHED_KEY, DS_FORWARD }
## Public Methods
virtual | ~TAO_Adapter (void)
virtual void | open (CORBA::Environment &) = 0
| Initialize the Adapter.
virtual void | close (int wait_for_completion, CORBA::Environment &) = 0
| The ORB is shutting down, destroy any resources attached to this adapter.
virtual void | check_close (int wait_for_completion, CORBA::Environment &) = 0
| Check if the adapter can be closed in the current context, raise an exception if not.
virtual int | priority (void) const = 0
virtual int | dispatch (TAO_ObjectKey &key, TAO_ServerRequest &request, CORBA::Object_out forward_to, CORBA::Environment &ACE_TRY_ENV) = 0 throw (CORBA::SystemException)
| Return the status....
virtual const char* | name (void) const = 0
| Return the name, i.e. the object id used to resolve it in the ORB.
virtual CORBA::Object_ptr | root (void) = 0
virtual CORBA::Object_ptr | create_collocated_object (TAO_Stub *, const TAO_MProfile &) = 0
| Create a collocated object using the given profile and stub.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  DS_OK |
  DS_FAILED |
  DS_MISMATCHED_KEY |
  DS_FORWARD |

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ TAO_Adapter::~TAO_Adapter ( | void )`[inline, virtual]`

## Member Function Documentation

void TAO_Adapter::check_close ( | int wait_for_completion,
| CORBA::Environment & )`[pure virtual]`

| Check if the adapter can be closed in the current context, raise an exception if not.

void TAO_Adapter::close ( | int wait_for_completion,
| CORBA::Environment & )`[pure virtual]`

| The ORB is shutting down, destroy any resources attached to this adapter.

CORBA::Object_ptr TAO_Adapter::create_collocated_object ( | TAO_Stub *,
| const TAO_MProfile & )`[pure virtual]`

| Create a collocated object using the given profile and stub.

int TAO_Adapter::dispatch ( | TAO_ObjectKey & key,
| TAO_ServerRequest & request,
| CORBA::Object_out forward_to,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[pure virtual]`

| Return the status....

const char * TAO_Adapter::name ( | void ) const`[pure virtual]`

| Return the name, i.e. the object id used to resolve it in the ORB.

void TAO_Adapter::open ( | CORBA::Environment & )`[pure virtual]`

| Initialize the Adapter.

int TAO_Adapter::priority ( | void ) const`[pure virtual]`

| Return the priority assigned to this adapter. Adapters at higher priority are used first, the first adapter that matches a key is used to dispatch a request.

CORBA::Object_ptr TAO_Adapter::root ( | void )`[pure virtual]`

| Rerturn the root of the Object Adapter. Each adapter defines its own IDL interface accessed through the method above.

The documentation for this class was generated from the following files:

- Adapter.h
- Adapter.cpp